#!/bin/bash
file=$1
if [ ! -r $file ]; then
    echo "file not found: " $1
    exit;
fi
#cat $1 | grep "DATA (NHEL" | sed s/"\/"/" X BEGIN "/ | cut -f2 -d'X' | sed s/"\/"/" END Y "/ | cut -f1 -d'Y' | sed s/","/", "/g
helList=`cat $1 | grep "DATA (NHEL" | sed s/"\/"/" X BEGIN "/ | cut -f2 -d'X' | sed s/"\/"/" END Y "/ | cut -f1 -d'Y' | sed s/","/" "/g`
nExternal=`cat $1 | grep -m1 "NEXTERNAL=" | cut -f2 -d= | cut -f1 -d")"`
IHEL=0
echo "  vector<int> h; h.resize($nExternal);"
for iLine in $helList; do
    if [ $iLine == "BEGIN" ]; then	
	IHEL=$((IHEL+1));
	iparticle=0;
    elif [ $iLine == "END" ]; then
	echo "  hMapSav[h] = $IHEL;"
    else	
	echo -ne "  h[$iparticle]=$iLine;"
	iparticle=$((iparticle+1));
    fi;
done;
